Propellerhead Forum

Propellerhead Forum (https://www.propellerheads.se/forum/index.php)
-   General Forum (read only) (https://www.propellerheads.se/forum/forumdisplay.php?f=3)
-   -   Reason 5 & PowerPC? (https://www.propellerheads.se/forum/showthread.php?t=134798)

2010-12-28 05:25

Reason 5 & PowerPC?
 
Will Reason 5 work with my G5 Dual 2.0 PowerPC or will i be forced to get a new Intel powered Mac?

Rucafest 2010-12-28 05:55

no, reason 5 will not run on any powermac. You will indeed need an Intel Mac...

phasys 2010-12-28 06:03

Quote:

Originally Posted by baruke (Post 827904)
Will Reason 5 work with my G5 Dual 2.0 PowerPC or will i be forced to get a new Intel powered Mac?

No, you're not forced to get a new Intel powered Mac. You could just buy a nice Windows based PC. :D

2010-12-28 06:12

thank you for your responses.

Its unfortunate that after almost 15 years of being a die hard mac guy... i actually am having thoughts about getting a PC to run my music.

phasys 2010-12-28 06:22

Quote:

Originally Posted by baruke (Post 827920)
thank you for your responses.

Its unfortunate that after almost 15 years of being a die hard mac guy... i actually am having thoughts about getting a PC to run my music.

Well, that's not bad, because 15 years ago it was still quite tricky to run music on a PC. :) Nowadays it's pretty good though.

dreampolice 2010-12-28 16:10

Yea that was a tough transition for Mac guys, I mean Apple HAD to change, PPC was just not good for laptops and mobile devices. So going intel was the right thing to do. But it sure sucks when you have a Dual G5 that can't run Record or Reason 5. In fact my Dual G5 is going on ebay today, I am finally on the other side of all my projects that I can get rid of it. I will still be a mac guy, but I am making sure that all the programs I use are cross platform just so I am not stuck on either side of the fence.

MOOBRI 2010-12-31 00:23

You gotta be kidding me!
 
My G-5 ppc loaded with ProTools is not going anywhere anytime soon...What is the newest Reason version that will run on 10.4.11?

dreampolice 2010-12-31 01:29

Reason 4, and the latest version of Pro tools will not run on your G5.

dioxide 2010-12-31 01:37

Quote:

Originally Posted by baruke (Post 827920)
after almost 15 years of being a die hard mac guy... i actually am having thoughts about getting a PC to run my music.

You are not alone:
http://www.samaritans.org/

Quote:

Whatever you're going through, whether it's big or small, don't bottle it up. We are here for you if you're worried about something, feel upset or confused, or just want to talk to someone.
Things might seem bad now, but they will get better.

moneykube 2010-12-31 03:43

LOL >>>>> I signed up....
My quad G5 PPC ain't going anywhere soon, or my G4 or my G3's, and a few other POWER PCs.... But I still have access to my wife's Powerbook. Protools 7.4 is enough... Live 7 is enough... But Reason 5 was a must have since I am collaborating with others that would upgrade.... Had this not been the case, Reason 4 would have been just fine as well....


All times are GMT +2. The time now is 16:35.